--- openfire_src.orig/src/plugins/gateway/src/i18n/gateway_i18n_es.properties	2008-02-07 17:13:24.000000000 -0200
+++ openfire_src/src/plugins/gateway/src/i18n/gateway_i18n_es.properties	2008-02-22 17:23:02.000000000 -0200
@@ -4,7 +4,7 @@
 ## For a full changelog, refer to the English bundle, gateway_i18n.properties.
 
 # Temporary Tags Until Fixed Properly
-login.title=Consola de Administracion
+login.title=Consola de Administración
 global.add=Agregar
 global.edit=Editar
 global.cancel=Cancelar
@@ -13,48 +13,48 @@
 
 # Globals
 gateway.name=Puerta de Enlace MI
-gateway.description=Provee conectividad a otras redes de mensajer\u0092a instant\u0087nea
+gateway.description=Provee conectividad a otras redes de mensajería instantánea
 gateway.gateways=Puertas de Enlace
-gateway.gateways.desc=Instalaci\u0097n de la Puerta de Enlace
+gateway.gateways.desc=Instalación de la Puerta de Enlace
 gateway.settings=Preferencias
-gateway.settings.desc=Has clic para administrar el servicio que provee el acceso a otras redes de mensajer\u0092a instant\u0087nea
+gateway.settings.desc=Has clic para administrar el servicio que provee el acceso a otras redes de mensajería instantánea
 gateway.registrations=Registros
-gateway.registrations.desc=Has clic para ver y administrar los registros de usuarios a otras redes de mensajer\u0092a instant\u0087nea
+gateway.registrations.desc=Has clic para ver y administrar los registros de usuarios a otras redes de mensajería instantánea
 
 # Base Transport
 gateway.base.notloggedin=En este momento no te encuentras autenticado en el transporte {0}.
 gateway.base.enterusername=Por favor introduce el nombre de usuario {0} de la persona que deseas agregar.
-gateway.base.registrationdeniedbyacls=Su registraci\u00f3n fue denegada ya que su cuenta no tiene permisos de acceso a este gateway.
-gateway.base.registrationdeniedbyhost=Su registraci\u00f3n fue denegada ya que su cuenta no existe en el mismo servidor que el transporte.
-gateway.base.registrationdeniednoacct=u registraci\u00f3n fue denegada ya que no posee una cuenta en el este servidor.
-gateway.base.registrationdeniedbadusername=Su registraci\u00f3n fue denegada ya que el nombre de usuario especificado no es v\u00e1lido para este servicio.
-gateway.base.msgtotransport=Has enviado el mensaje al transporte.  El JID no representa un contacto existente o v\u0087lido. Los JIDs de un contacto generalmente tienen la forma de nombreDeUsuario@servidor
+gateway.base.registrationdeniedbyacls=Su registración fue denegada ya que su cuenta no tiene permisos de acceso a este gateway.
+gateway.base.registrationdeniedbyhost=Su registración fue denegada ya que su cuenta no existe en el mismo servidor que el transporte.
+gateway.base.registrationdeniednoacct=Su registración fue denegada ya que no posee una cuenta en el este servidor.
+gateway.base.registrationdeniedbadusername=Su registración fue denegada ya que el nombre de usuario especificado no es válido para este servicio.
+gateway.base.msgtotransport=Has enviado el mensaje al transporte. El JID no representa un contacto existente o válido. Los JIDs de un contacto generalmente tienen la forma de nombreDeUsuario@servidor
 
 # OSCAR 'Global' (both AIM/ICQ Transports)
-gateway.oscar.connectionfailed=La conexion fallo:
+gateway.oscar.connectionfailed=La conexion falló:
 gateway.oscar.accountdeleted=Esta cuenta ha sido borrada.
 gateway.oscar.badinput=Nombre/uin especificado incorrectamente.
-gateway.oscar.badpassword=Contrasena especificada incorrectamente.
+gateway.oscar.badpassword=Contraseña especificada incorrectamente.
 gateway.oscar.oldclient=Plugin identificado muy obsoleto para el cliente. Por favor contacta al desarrollador.
 gateway.oscar.connectedtoomuch=Te has conectado muchas ocasiones en un periodo de tiempo reducido. Por favor espera alrededor de 15 minutos antes de que intentes nuevamente.
-gateway.oscar.baduserorpass=Nombre de usuario o contrasena invalidos. Por favor intenta registrarte nuevamente con un nombre o contrasena validos.
+gateway.oscar.baduserorpass=Nombre de usuario o contraseña inválidos. Por favor intenta registrarte nuevamente con un nombre o contraseña válidos.
 gateway.oscar.accountsuspended=Tu cuenta ha sido temporalmente suspendida.
-gateway.oscar.unknownerror=Codigo de error desconocido obtenido de AIM: {0}\nURL: {1}
-gateway.oscar.disconnected=Has sido desconectado automaticamente por el servidor.
+gateway.oscar.unknownerror=Código de error desconocido obtenido de AIM: {0}\nURL: {1}
+gateway.oscar.disconnected=Has sido desconectado automáticamente por el servidor.
 gateway.oscar.away=Ausente
 gateway.oscar.msgrefused=Tu mensaje fue rechazado por el cliente destino, probablemente el mensaje es muy largo.
-gateway.oscar.mail=You have {0} new message(s) at {1}!\nCheck your mail at {2}.
-gateway.oscar.crosschat=Enable AIM/ICQ cross chat
-gateway.oscar.multilogin=You have been disconnected because your account has logged in at another location.
+gateway.oscar.mail=Tienes {0} mensaje(s) nuevo(s) en {1}!\nRevisa tu correo en {2}.
+gateway.oscar.crosschat=Habilitar AIM/ICQ cross chat
+gateway.oscar.multilogin=Has sido desconectado porque tu cuenta se ha registradoe desde otro lugar.
 
 # AIM Transport
 gateway.aim.shortservice=AIM
 gateway.aim.service=AOL Instant Messenger
 gateway.aim.name=Transporte AIM
 gateway.aim.username=Nombre de usuario
-gateway.aim.password=Password
-gateway.aim.registration=Por favor introduce tu nombre de usuario AIM y contrasena.
-gateway.aim.warninganon=Has recibido una alerta AIM anonima. Tu nivel de alertamiento actual es {0}%.
+gateway.aim.password=Contraseña
+gateway.aim.registration=Por favor introduce tu nombre de usuario AIM y contraseña.
+gateway.aim.warninganon=Has recibido una alerta AIM anónima. Tu nivel de alertamiento actual es {0}%.
 gateway.aim.warningdirect=Has recibido una alerta AIM de {0}. Tu nivel de alertamiento actual es {1}%.
 
 # ICQ Transport
@@ -62,173 +62,173 @@
 gateway.icq.service=ICQ
 gateway.icq.name=Transporte ICQ 
 gateway.icq.username=UIN/ICQ#
-gateway.icq.password=Password
-gateway.icq.registration=Por favor introduce tu ICQ# (UIN) y password.
+gateway.icq.password=Contraseña
+gateway.icq.registration=Por favor introduce tu ICQ# (UIN) y contraseña.
 
 # MSN Transport
 gateway.msn.shortservice=MSN
 gateway.msn.service=MSN Messenger
 gateway.msn.name=Transporte MSN
-gateway.msn.username=Direccion de correo MSN
-gateway.msn.password=Password
-gateway.msn.registration=Por favor introduce tu direccion de correo de MSN Passport y password.
-gateway.msn.passwordincorrect=El password que has registrado es incorrecto. Por favor repite el procedimiento de registro con un password correcto.
-gateway.msn.sendmsgfailed=No se pudo enviar un mensaje MSN. Razon:
-gateway.msn.illegalaccount=Estas registrado con el transporte MSN con un nombre de cuenta invalido.\nEl nombre de la cuenta debe de tener la estructura de una direccion de correo electronico.\nTe registraste como:
+gateway.msn.username=Dirección de correo MSN
+gateway.msn.password=Contraseña
+gateway.msn.registration=Por favor introduce tu dirección de correo de MSN Passport y contraseña.
+gateway.msn.passwordincorrect=La contraseña que has registrado es incorrecta. Por favor repite el procedimiento de registro con un password correcto.
+gateway.msn.sendmsgfailed=No se pudo enviar un mensaje MSN. Razón:
+gateway.msn.illegalaccount=Estas registrado con el transporte MSN con un nombre de cuenta inválido.\nEl nombre de la cuenta debe de tener la estructura de una dirección de correo electrónico.\nTe registraste como:
 gateway.msn.disconnect=Has sido desconectado del servicio de MSN.
-gateway.msn.wink=Has recibido un guino de MSN!.
+gateway.msn.wink=Has recibido un guiño de MSN!.
 gateway.msn.nudge=Has recibido un zumbido de MSN!.
 gateway.msn.otherloggedin=Has sido desconectado de MSN porque tu cuenta ha sido autenticada en otro lugar.
-gateway.msn.mail=You have received a new MSN e-mail message from {0} <{1}>.\nSubject: {2}
-gateway.msn.initialmail=You have {0} unread e-mail message(s) waiting in your MSN mail.
+gateway.msn.mail=Tienes un nuevo correo electrónico en MSN de {0} <{1}>.\nAsunto: {2}
+gateway.msn.initialmail=Tienes {0} mensaje(s) de correo electrónico sin leer en tu casilla de MSN.
 
 # Yahoo Transport
 gateway.yahoo.shortservice=Yahoo
 gateway.yahoo.service=Yahoo! Messenger
 gateway.yahoo.name=Transporte Yahoo! 
 gateway.yahoo.username=Yahoo! ID
-gateway.yahoo.password=Password
-gateway.yahoo.registration=Por favor introduce tu Yahoo! ID y password.
-gateway.yahoo.error=Error de Yahoo:
+gateway.yahoo.password=Contraseña
+gateway.yahoo.registration=Por favor introduce tu Yahoo! ID y contraseña.
+gateway.yahoo.error=Error de Yahoo!:
 gateway.yahoo.mail=Tienes {0} mensaje(s) en tu Yahoo! mail.
 gateway.yahoo.loginrefused=No se pudo autenticar con la cuenta del mensajero de Yahoo!.  (usuario denegado)
-gateway.yahoo.unknownuser=Yahoo! no reconocio el username que registraste. Por favor intenta el registro nuevamente con un nombre de usuario valido.
-gateway.yahoo.badpassword=Acceso denegado por Yahoo!, es probable que el password este incorrecto. Por favor intenta el registro nuevamente con un password valido.
+gateway.yahoo.unknownuser=Yahoo! no reconoció el nombre de usuario que registraste. Por favor intenta el registro nuevamente con un nombre de usuario válido.
+gateway.yahoo.badpassword=Acceso denegado por Yahoo!, es probable que la contraseña esté incorrecta. Por favor intenta el registro nuevamente con una contraseña válida.
 gateway.yahoo.accountlocked=El acceso a tu cuenta de Yahoo! esta bloqueado.
 gateway.yahoo.accountlockedwithurl=El acceso a tu cuenta de Yahoo! esta bloqueado. Por favor visita {0}
 gateway.yahoo.unknownerror=No se pudo autenticar con la cuenta del mensajero de Yahoo!. (error desconocido)
-gateway.yahoo.newmail=You have received a message in your Yahoo! mail.
+gateway.yahoo.newmail=Has recibido un nuevo correo electrónico en tu cuenta de Yahoo!.
 
 # IRC Transport
 gateway.irc.shortservice=IRC
 gateway.irc.service=IRC
 gateway.irc.name=Transporte IRC
 gateway.irc.username=Nombre de usuario
-gateway.irc.password=Password
-gateway.irc.nickname=Nickname
-gateway.irc.registration=Por favor introduce tu nombre de usuario de IRC, password y nickname. El nickname es el nombre de usuario primario usado mientras que el nombre de usuario y password son usados para autenticar. Si no se requiere algun password dejalo en blanco.
+gateway.irc.password=Contraseña
+gateway.irc.nickname=Apodo
+gateway.irc.registration=Por favor introduce tu nombre de usuario de IRC, contraseña y apodo. El apodo es el nombre de usuario primario usado mientras que el nombre de usuario y contraseña son usados para autenticar. Si no se requiere una contraseña déjalo en blanco.
 gateway.irc.away=Ausente
 gateway.irc.extendedaway=Ausencia Prolongada
 gateway.irc.donotdisturb=No disponible
 gateway.irc.errorreceived=Error IRC recibido:
-gateway.irc.errorreceivedwithcode=Error IRC recibido (codigo {0}):
-gateway.irc.roomlistwarning=Warning: If you enable this option on large public servers like irc.freenode.net, the sheer number of rooms returned will typically cause temporary lockups with end user clients.  Most likely you will only want to enable this for small private IRC servers.
-gateway.irc.autoreply=Automatic away reply:
+gateway.irc.errorreceivedwithcode=Error IRC recibido (código {0}):
+gateway.irc.roomlistwarning=Advertencia: Si habilitas esta opción en grandes servidores públicos como irc.freenode.net la gran cantidad de salas retornadas probablemente cause bloqueos en los clientes. Normalmente esta opción solo debe habilitarse en pequeños servidores IRC privados.
+gateway.irc.autoreply=Respuesta automática en ausencia:
 
 # XMPP Transport
 gateway.xmpp.shortservice=XMPP
 gateway.xmpp.service=XMPP
 gateway.xmpp.name=Transporte XMPP
 gateway.xmpp.username=JID
-gateway.xmpp.password=Contrase\u0096a
-gateway.xmpp.registration= Ingresa tu JID de XMPP y tu contrase\u0096a tal como es usada en el servidor XMPP referenciado por el Transporte.
-gateway.xmpp.passwordincorrect=The password you registered with is incorrect.  Please re-register with the correct password.
-gateway.xmpp.connectionclosed=Connection to remote XMPP server closed.
-gateway.xmpp.connectionfailed=Failed to connect to remote XMPP server.
+gateway.xmpp.password=Contraseña
+gateway.xmpp.registration= Ingresa tu JID de XMPP y tu contraseña tal como es usada en el servidor XMPP referenciado por el Transporte.
+gateway.xmpp.passwordincorrect=La contraseña es incorrecta, Por favor intente nuevamente.
+gateway.xmpp.connectionclosed=La conexión con el servidor XMPP remoto se ha cerrado.
+gateway.xmpp.connectionfailed=No se pudo conectar al servidor XMPP remoto.
 
 # Google Talk Transport
 gateway.gtalk.shortservice=GTalk
 gateway.gtalk.service=Google Talk
 gateway.gtalk.name=Transporte Google Talk
-gateway.gtalk.username=Direcci\u0097n
-gateway.gtalk.registration=Ingresa tu correo electr\u0097nico y contrase\u0096a que usas en GMail y GTalk.
-gateway.gtalk.mail=You have received {0} new Gmail message(s):
+gateway.gtalk.username=Dirección
+gateway.gtalk.registration=Ingresa tu correo electrónico y contraseña que usas en GMail y GTalk.
+gateway.gtalk.mail=Has recibido {0} mensaje(s) nuevos de Gmail:
 
 # SIMPLE Transport
 gateway.sip.shortservice=SIMPLE
 gateway.sip.service=SIP/SIMPLE
 gateway.sip.name=Transporte SIMPLE
 gateway.sip.username=Nombre de Usuario
-gateway.sip.password=Contrase\u0096a
-gateway.sip.registration=Ingresa tu usuario y contrase\u0096a SIMPLE.
-gateway.sip.passwordincorrect=La contrase\u0096a ingresada es incorrecta. Por favor, vuelve a registrarte con una contrase\u0096a correcta.
-gateway.sip.sendmsgfailed=No se pudo enviar un mensaje SIMPLE.  Raz\u0097n:
-gateway.sip.illegalaccount=Te has registrado usando el Transporte SIP/SIMPLE y un nombre de cuenta incorrecto.\nEl nombre de usuario debe ser igual a una direcci\u0097n de correo electr\u0097nico.\nTe has registrado como:
+gateway.sip.password=Contraseña
+gateway.sip.registration=Ingresa tu usuario y contraseña SIMPLE.
+gateway.sip.passwordincorrect=La contraseña ingresada es incorrecta. Por favor, vuelve a registrarte con una contraseña correcta.
+gateway.sip.sendmsgfailed=No se pudo enviar un mensaje SIMPLE. Razón:
+gateway.sip.illegalaccount=Te has registrado usando el Transporte SIP/SIMPLE y un nombre de cuenta incorrecto.\nEl nombre de usuario debe ser igual a una dirección de correo electrónico.\nTe has registrado como:
 
 # Gadu-Gadu Transport
 gateway.gadugadu.shortservice=Gadu-Gadu
 gateway.gadugadu.service=Gadu-Gadu
 gateway.gadugadu.name=Gadu-Gadu Transport
-gateway.gadugadu.username=ID Number
-gateway.gadugadu.password=Password
-gateway.gadugadu.registration=Please enter your Gadu-Gadu ID number and password.
-gateway.gadugadu.connectionlost=You were disconnected from the Gadu-Gadu service.
-gateway.gadugadu.unabletoconnect=Unable to establish connection to Gadu-Gadu service.
-gateway.gadugadu.passwordincorrect=The password you registered with is incorrect.  Please re-register with the correct password.
-gateway.gadugadu.loginfailed=Login failed.  Your username or password may be incorrect.  Please re-register with the correct password.
+gateway.gadugadu.username=Número ID
+gateway.gadugadu.password=Contraseña
+gateway.gadugadu.registration=Por favor ingresa tu ID de Gadu-Gadu y la contraseña.
+gateway.gadugadu.connectionlost=Has sido desconectado del servicio Gadu-Gadu.
+gateway.gadugadu.unabletoconnect=No se pudo establecer la conexión con el servicio Gadu-Gadu.
+gateway.gadugadu.passwordincorrect=La contraseña ingresada es incorrecta. Por favor intenta de nuevo.
+gateway.gadugadu.loginfailed=Registro fallido. El usuario o la contraseña son incorrectos. Por favor intenta de nuevo.
 
 # Web Interface (Settings)
-gateway.web.settings.instructions=Selecciona cuales gateways estaran permitidos, que caracteristicas estaran disponibles y quien puede conectarse a cada servicio. Activando las casillas de los gateways, se activa el servicio.
+gateway.web.settings.instructions=Selecciona cuales gateways estarán permitidos, que características estarán disponibles y quien puede conectarse a cada servicio. Activando las casillas de los gateways, se activa el servicio.
 gateway.web.settings.tests=Pruebas
 gateway.web.settings.options=Opciones
 gateway.web.settings.permissions=Permisos
 gateway.web.settings.connecttohost=Conectar al host
 gateway.web.settings.connecttoport=Conectar al puerto
-gateway.web.settings.testconnection=Prueba de conexion
-gateway.web.settings.saveoptions=Guardar Opciones
+gateway.web.settings.testconnection=Prueba de conexión
+gateway.web.settings.saveoptions=Guardar opciones
 gateway.web.settings.cancelchanges=Cancelar cambios
-gateway.web.settings.registernone=Unicamente inscripcion manual (ver la seccion de Inscripciones para administrar)
+gateway.web.settings.registernone=Únicamente inscripcion manual (ver la sección de Inscripciones para administrar)
 gateway.web.settings.registersome=Estos usuarios y/o grupos se pueden registrar.
 gateway.web.settings.registerall=Todos los usuarios se pueden registrar.
 gateway.web.settings.users=Usuarios
 gateway.web.settings.groups=Grupos
 gateway.web.settings.savepermissions=Guardar Permisos
-gateway.web.settings.title=Configuraciones de Gateways
+gateway.web.settings.title=Configuraciones de Puertas de enlace
 gateway.web.settings.settingssaved=Configuraciones guardadas
 gateway.web.settings.cancelledchanges=Cambios cancelados
 gateway.web.settings.success=Exitoso
-gateway.web.settings.failed=Fallo
+gateway.web.settings.failed=Falló
 gateway.web.settings.permissionssaved=Permisos guardados
 gateway.web.settings.host=Host
-gateway.web.settings.port=Port
-gateway.web.settings.encoding=Encoding
+gateway.web.settings.port=Puerto
+gateway.web.settings.encoding=Codificación
 gateway.web.settings.unstable.title=Gateways experimentales.
 gateway.web.settings.unstable.notice=Los siguientes gateways son experimentales y no se recomiendan en un ambiente de produccion. Se proveen para aquellos interesados en probar servicios de tipo no estable sabiendo de antemano que pueden no funcionar de manera correcta.
-gateway.web.settings.autoreconnect=Reconectar por desconexi\u0097n
+gateway.web.settings.autoreconnect=Reconectar por desconexión
 gateway.web.settings.autoreconnectattempts=Intentos
-gateway.web.settings.modifyusers=Modify Users
-gateway.web.settings.modifygroups=Modify Groups
-gateway.web.settings.noneselected=none selected
-gateway.web.settings.allowroomlist=Allow MUC room list
-gateway.web.settings.mailnotifications=Enable mail notifications
-gateway.web.settings.permsstrict=Strict login permissions (must be allowed to register to log in)
-gateway.web.settings.buddyicons=Enable buddy icons
-gateway.web.settings.autonickname=Enable nickname auto-updates
+gateway.web.settings.modifyusers=Cambiar usuarios
+gateway.web.settings.modifygroups=Cambiar grupos
+gateway.web.settings.noneselected=ninguno elegido
+gateway.web.settings.allowroomlist=Permitir lista de salas MUC
+gateway.web.settings.mailnotifications=Habilitar notificación por correo
+gateway.web.settings.permsstrict=Permisos de registro estrictos (debe tener permisos para registrarse para poder entrar)
+gateway.web.settings.buddyicons=Permitir íconos de contactos
+gateway.web.settings.autonickname=Habilitar actualización automática de apodos
 
 # Web Interface (Registrations)
-gateway.web.registrations.instructions=Abajo hay una lista de todas las posibles inscripciones a servicios de gateways. Para filtrar por sesiones activas y/o algun gateway en especifico selecciona las opciones de abajo y actualiza la vista.
-gateway.web.registrations.addnewreg=Agregar una nueva inscripcion
-gateway.web.registrations.cancelnewreg=Cancelar una nueva inscripcion
+gateway.web.registrations.instructions=Abajo hay una lista de todas las posibles inscripciones a servicios de gateways. Para filtrar por sesiones activas y/o algún gateway en específico selecciona las opciones de abajo y actualiza la vista.
+gateway.web.registrations.addnewreg=Agregar una nueva inscripción
+gateway.web.registrations.cancelnewreg=Cancelar una nueva inscripción
 gateway.web.registrations.username=nombre de usuario
-gateway.web.registrations.password=password
-gateway.web.registrations.nickname=nickname
+gateway.web.registrations.password=contraseña
+gateway.web.registrations.nickname=apodo
 gateway.web.registrations.jid=usuario (JID)
-gateway.web.registrations.gateway=gateway
+gateway.web.registrations.gateway=puerta de enlace
 gateway.web.registrations.signedon=Autenticado unicamente
 gateway.web.registrations.update=Actualizar
 gateway.web.registrations.next=Siguiente
 gateway.web.registrations.prev=Anterior
-gateway.web.registrations.remove=Remover
+gateway.web.registrations.remove=Borrar
 gateway.web.registrations.edit=Editar
-gateway.web.registrations.lastlogin=Ultimo ingreso
+gateway.web.registrations.lastlogin=Último ingreso
 gateway.web.registrations.serviceusername=Servicio/Nombre de usuario
 gateway.web.registrations.user=Usuario
 gateway.web.registrations.confirmdelete=Esta seguro que desea borrar esta inscripcion?
 gateway.web.registrations.registrations=Inscripciones
-gateway.web.registrations.title=Inscripciones a Gateways
+gateway.web.registrations.title=Inscripciones a puertas de enlace
 gateway.web.registrations.xmppnotfound=Incapaz de encontrar la cuenta del usuario de XMPP.
 gateway.web.registrations.regnotfound=Incapza de encontrar el registro.
-gateway.web.registrations.notenabled=Transporte desactivado. Por favor activalo antes de intentar la operacion.
+gateway.web.registrations.notenabled=Transporte desactivado. Por favor activalo antes de intentar la operación.
 gateway.web.registrations.illegaldomain=El dominio de la cuenta del usuario XMPP no se encuentra en este servidor.
-gateway.web.registrations.invaliduser=Nombre de usuario invalido para el servicio heredado.
+gateway.web.registrations.invaliduser=Nombre de usuario inválido para el servicio heredado.
 gateway.web.registrations.deletesuccess=Registro eliminado exitosamente.
 gateway.web.registrations.updatesuccess=Registro actualizado exitosamente.
 gateway.web.registrations.addsuccess=Registro agregado exitosamente.
 gateway.web.registrations.never=nunca
-gateway.web.registrations.page=P\u0087gina
-gateway.web.registrations.perpage=por p\u0087gina
+gateway.web.registrations.page=Página
+gateway.web.registrations.perpage=por página
 gateway.web.registrations.filterby=Filtrar por
-gateway.web.registrations.xofy={0} of {1}
-gateway.web.registrations.select=select
+gateway.web.registrations.xofy={0} de {1}
+gateway.web.registrations.select=elegir
 gateway.web.registrations.node=Node
 gateway.web.registrations.local=local