diff --git a/src/database/upgrade/10/gateway_db2.sql b/src/database/upgrade/10/gateway_db2.sql
index a15d2cb..b5bb3b0 100644
--- a/src/database/upgrade/10/gateway_db2.sql
+++ b/src/database/upgrade/10/gateway_db2.sql
@@ -1,13 +1,13 @@
 -- Rename sip gateway to simple
-UPDATE ofGatewayRegistration SET transportType = "simple" WHERE transportType = "sip";
-UPDATE ofGatewayRestrictions SET transportType = "simple" WHERE transportType = "sip";
+UPDATE ofGatewayRegistration SET transportType = 'simple' WHERE transportType = 'sip';
+UPDATE ofGatewayRestrictions SET transportType = 'simple' WHERE transportType = 'sip';
 
 -- Change system properties for sip gateway to simple
 UPDATE ofProperty SET propValue = REPLACE(propValue, 'plugin.gateway.sip.','plugin.gateway.simple.');
 
 -- Change roster JIDs with sip. in them to simple.
-UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid NOT LIKE "%@%";
-UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid LIKE "%@sip.%";
+UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid NOT LIKE '%@%';
+UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid LIKE '%@sip.%';
 
 -- Update database version
 UPDATE ofVersion SET version = 10 WHERE name = 'gateway';
diff --git a/src/database/upgrade/10/gateway_hsqldb.sql b/src/database/upgrade/10/gateway_hsqldb.sql
index 1eb5c35..803de23 100644
--- a/src/database/upgrade/10/gateway_hsqldb.sql
+++ b/src/database/upgrade/10/gateway_hsqldb.sql
@@ -1,13 +1,13 @@
 // Rename sip gateway to simple
-UPDATE ofGatewayRegistration SET transportType = "simple" WHERE transportType = "sip";
-UPDATE ofGatewayRestrictions SET transportType = "simple" WHERE transportType = "sip";
+UPDATE ofGatewayRegistration SET transportType = 'simple' WHERE transportType = 'sip';
+UPDATE ofGatewayRestrictions SET transportType = 'simple' WHERE transportType = 'sip';
 
 // Change system properties for sip gateway to simple
 UPDATE ofProperty SET propValue = REPLACE(propValue, 'plugin.gateway.sip.','plugin.gateway.simple.');
 
 // Change roster JIDs with sip. in them to simple.
-UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid NOT LIKE "%@%";
-UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid LIKE "%@sip.%";
+UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid NOT LIKE '%@%';
+UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid LIKE '%@sip.%';
 
 // Update database version
 UPDATE ofVersion SET version = 10 WHERE name = 'gateway';
diff --git a/src/database/upgrade/10/gateway_mysql.sql b/src/database/upgrade/10/gateway_mysql.sql
index d73b8b8..dc928e8 100644
--- a/src/database/upgrade/10/gateway_mysql.sql
+++ b/src/database/upgrade/10/gateway_mysql.sql
@@ -1,13 +1,13 @@
 # Rename sip gateway to simple
-UPDATE ofGatewayRegistration SET transportType = "simple" WHERE transportType = "sip";
-UPDATE ofGatewayRestrictions SET transportType = "simple" WHERE transportType = "sip";
+UPDATE ofGatewayRegistration SET transportType = 'simple' WHERE transportType = 'sip';
+UPDATE ofGatewayRestrictions SET transportType = 'simple' WHERE transportType = 'sip';
 
 # Change system properties for sip gateway to simple
 UPDATE ofProperty SET propValue = REPLACE(propValue, 'plugin.gateway.sip.','plugin.gateway.simple.');
 
 # Change roster JIDs with sip. in them to simple.
-UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid NOT LIKE "%@%";
-UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid LIKE "%@sip.%";
+UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid NOT LIKE '%@%';
+UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid LIKE '%@sip.%';
 
 # Update database version
 UPDATE ofVersion SET version = 10 WHERE name = 'gateway';
diff --git a/src/database/upgrade/10/gateway_oracle.sql b/src/database/upgrade/10/gateway_oracle.sql
index 81214ce..b776659 100644
--- a/src/database/upgrade/10/gateway_oracle.sql
+++ b/src/database/upgrade/10/gateway_oracle.sql
@@ -1,13 +1,13 @@
 -- Rename sip gateway to simple
-UPDATE ofGatewayRegistration SET transportType = "simple" WHERE transportType = "sip";
-UPDATE ofGatewayRestrictions SET transportType = "simple" WHERE transportType = "sip";
+UPDATE ofGatewayRegistration SET transportType = 'simple' WHERE transportType = 'sip';
+UPDATE ofGatewayRestrictions SET transportType = 'simple' WHERE transportType = 'sip';
 
 -- Change system properties for sip gateway to simple
 UPDATE ofProperty SET propValue = REPLACE(propValue, 'plugin.gateway.sip.','plugin.gateway.simple.');
 
 -- Change roster JIDs with sip. in them to simple.
-UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid NOT LIKE "%@%";
-UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid LIKE "%@sip.%";
+UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid NOT LIKE '%@%';
+UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid LIKE '%@sip.%';
 
 -- Update database version
 UPDATE ofVersion SET version = 10 WHERE name = 'gateway';
diff --git a/src/database/upgrade/10/gateway_postgresql.sql b/src/database/upgrade/10/gateway_postgresql.sql
index a15d2cb..b5bb3b0 100644
--- a/src/database/upgrade/10/gateway_postgresql.sql
+++ b/src/database/upgrade/10/gateway_postgresql.sql
@@ -1,13 +1,13 @@
 -- Rename sip gateway to simple
-UPDATE ofGatewayRegistration SET transportType = "simple" WHERE transportType = "sip";
-UPDATE ofGatewayRestrictions SET transportType = "simple" WHERE transportType = "sip";
+UPDATE ofGatewayRegistration SET transportType = 'simple' WHERE transportType = 'sip';
+UPDATE ofGatewayRestrictions SET transportType = 'simple' WHERE transportType = 'sip';
 
 -- Change system properties for sip gateway to simple
 UPDATE ofProperty SET propValue = REPLACE(propValue, 'plugin.gateway.sip.','plugin.gateway.simple.');
 
 -- Change roster JIDs with sip. in them to simple.
-UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid NOT LIKE "%@%";
-UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid LIKE "%@sip.%";
+UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid NOT LIKE '%@%';
+UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid LIKE '%@sip.%';
 
 -- Update database version
 UPDATE ofVersion SET version = 10 WHERE name = 'gateway';
diff --git a/src/database/upgrade/10/gateway_sqlserver.sql b/src/database/upgrade/10/gateway_sqlserver.sql
index b4e721e..bc85fdd 100644
--- a/src/database/upgrade/10/gateway_sqlserver.sql
+++ b/src/database/upgrade/10/gateway_sqlserver.sql
@@ -1,13 +1,13 @@
 /* Rename sip gateway to simple */
-UPDATE ofGatewayRegistration SET transportType = "simple" WHERE transportType = "sip";
-UPDATE ofGatewayRestrictions SET transportType = "simple" WHERE transportType = "sip";
+UPDATE ofGatewayRegistration SET transportType = 'simple' WHERE transportType = 'sip';
+UPDATE ofGatewayRestrictions SET transportType = 'simple' WHERE transportType = 'sip';
 
 /* Change system properties for sip gateway to simple */
 UPDATE ofProperty SET propValue = REPLACE(propValue, 'plugin.gateway.sip.','plugin.gateway.simple.');
 
 /* Change roster JIDs with sip. in them to simple. */
-UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid NOT LIKE "%@%";
-UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid LIKE "%@sip.%";
+UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid NOT LIKE '%@%';
+UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid LIKE '%@sip.%';
 
 /* Update database version */
 UPDATE ofVersion SET version = 10 WHERE name = 'gateway';
diff --git a/src/database/upgrade/10/gateway_sybase.sql b/src/database/upgrade/10/gateway_sybase.sql
index b4e721e..bc85fdd 100644
--- a/src/database/upgrade/10/gateway_sybase.sql
+++ b/src/database/upgrade/10/gateway_sybase.sql
@@ -1,13 +1,13 @@
 /* Rename sip gateway to simple */
-UPDATE ofGatewayRegistration SET transportType = "simple" WHERE transportType = "sip";
-UPDATE ofGatewayRestrictions SET transportType = "simple" WHERE transportType = "sip";
+UPDATE ofGatewayRegistration SET transportType = 'simple' WHERE transportType = 'sip';
+UPDATE ofGatewayRestrictions SET transportType = 'simple' WHERE transportType = 'sip';
 
 /* Change system properties for sip gateway to simple */
 UPDATE ofProperty SET propValue = REPLACE(propValue, 'plugin.gateway.sip.','plugin.gateway.simple.');
 
 /* Change roster JIDs with sip. in them to simple. */
-UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid NOT LIKE "%@%";
-UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid LIKE "%@sip.%";
+UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid NOT LIKE '%@%';
+UPDATE ofRoster SET jid = REPLACE(jid, 'sip.','simple.') WHERE jid LIKE '%@sip.%';
 
 /* Update database version */
 UPDATE ofVersion SET version = 10 WHERE name = 'gateway';