Index: src/plugins/search/src/i18n/search_i18n.properties
===================================================================
--- src/plugins/search/src/i18n/search_i18n.properties	(revision 10167)
+++ src/plugins/search/src/i18n/search_i18n.properties	(working copy)
@@ -47,6 +47,7 @@
 advance.user.search.extended=Extended away
 advance.user.search.not_disturb=Do Not Disturb
 advance.user.search.offline=Offline
+advance.user.search.last-logout=Last Logout
 
 search.props.edit.form.title=Search Service Properties
 search.props.edit.form.description=Edit search service properties
Index: src/plugins/search/src/i18n/search_i18n_pt_BR.properties
===================================================================
--- src/plugins/search/src/i18n/search_i18n_pt_BR.properties	(revision 10167)
+++ src/plugins/search/src/i18n/search_i18n_pt_BR.properties	(working copy)
@@ -27,6 +27,7 @@
 advance.user.search.extended=Ausente extendido
 advance.user.search.not_disturb=N\u00e3o perturbe
 advance.user.search.offline=Desconectado
+advance.user.search.last-logout=\u00daltima Desconex\u00e3o
 
 search.props.edit.form.title=Propriedades do Servi\u00e7o de Pesquisa
 search.props.edit.form.description=xEdit search service properties
Index: src/plugins/search/src/web/advance-user-search.jsp
===================================================================
--- src/plugins/search/src/web/advance-user-search.jsp	(revision 10167)
+++ src/plugins/search/src/web/advance-user-search.jsp	(working copy)
@@ -105,6 +105,7 @@
         <th nowrap><fmt:message key="advance.user.search.username" /></th>
         <th nowrap><fmt:message key="advance.user.search.name" /></th>
         <th nowrap><fmt:message key="advance.user.search.created" /></th>
+        <th nowrap><fmt:message key="advance.user.search.last-logout" /></th>
         <%  // Don't allow editing or deleting if users are read-only.
             if (!UserManager.getUserProvider().isReadOnly()) { %>
         <th nowrap><fmt:message key="advance.user.search.edit" /></th>
@@ -116,7 +117,7 @@
 
     <% if (users.isEmpty()) { %>
     <tr>
-        <td align="center" colspan="7"><fmt:message key="advance.user.search.no_users" /></td>
+        <td align="center" colspan="8"><fmt:message key="advance.user.search.no_users" /></td>
     </tr>
     
     <%
@@ -159,15 +160,24 @@
            }
         %>
        </td>
-       <td width="30%">
+       <td width="23%">
            <a href="../../user-properties.jsp?username=<%= URLEncoder.encode(user.getUsername(), "UTF-8") %>"><%= JID.unescapeNode(user.getUsername()) %></a>
        </td>
-       <td width="35">
+       <td width="33">
            <%= user.getName() %> &nbsp;
        </td>
-       <td width="35%">
+       <td width="15%">
            <%= JiveGlobals.formatDate(user.getCreationDate()) %> &nbsp;
        </td>
+        <td width="25%">
+            <% long logoutTime = presenceManager.getLastActivity(user);
+                if (logoutTime > -1) {
+                    out.println(StringUtils.getElapsedTime(logoutTime));
+                }
+                else {
+                    out.println("&nbsp;");
+                } %>
+        </td>
         <%  // Don't allow editing or deleting if users are read-only.
             if (!UserManager.getUserProvider().isReadOnly()) { %>
        <td width="1%" align="center">
@@ -198,4 +208,4 @@
 </script>
 
 </body>
-</html>
\ No newline at end of file
+</html>
Index: src/plugins/search/changelog.html
===================================================================
--- src/plugins/search/changelog.html	(revision 10167)
+++ src/plugins/search/changelog.html	(working copy)
@@ -44,6 +44,12 @@
 Search Plugin Changelog
 </h1>
 
+<p><b>1.4.3</b> -- April 3, 2008</p>
+
+<ul>
+     <li>Added "Last Logout" to user listing result on admin console. (Daryl Herzmann)</li>
+</ul>
+
 <p><b>1.4.2</b> -- March 11, 2008</p>
 
 <ul>
Index: src/plugins/search/plugin.xml
===================================================================
--- src/plugins/search/plugin.xml	(revision 10167)
+++ src/plugins/search/plugin.xml	(working copy)
@@ -5,8 +5,8 @@
     <name>Search</name>
     <description>Provides support for Jabber Search (XEP-0055)</description>
     <author>Ryan Graham</author>
-    <version>1.4.2</version>
-    <date>3/11/2008</date>
+    <version>1.4.3</version>
+    <date>4/3/2008</date>
     <minServerVersion>3.5.0</minServerVersion>
     
     <adminconsole>